## org.eclipse.datatools.modelbase.sql.schema
Interface Event

All Superinterfaces:
  SQLObject

All Known Implementing Classes:
  EventImpl

    public interface Event

extends SQLObject

A representation of the model object 'Event'. Reference: 5WD-02-Foundation-2002-12

The following features are supported:

- `For`
- `Condition`
- `Action`
- `Enabled`
- `Database`

See Also:
  `SQLSchemaPackage.getEvent()`

Method Summary
`java.lang.String` `getAction()` Returns the value of the 'Action' attribute.
`java.lang.String` `getCondition()` Returns the value of the 'Condition' attribute.
`Database` `getDatabase()` Returns the value of the 'Database' reference.
`java.lang.String` `getFor()` Returns the value of the 'For' attribute.
`boolean` `isEnabled()` Returns the value of the 'Enabled' attribute.
`void` `setAction(java.lang.String value)` Sets the value of the '`Action`' attribute.
`void` `setCondition(java.lang.String value)` Sets the value of the '`Condition`' attribute.
`void` `setDatabase(Database value)` Sets the value of the '`Database`' reference.
`void` `setEnabled(boolean value)` Sets the value of the '`Enabled`' attribute.
`void` `setFor(java.lang.String value)` Sets the value of the '`For`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getFor

    java.lang.String getFor()

  Returns the value of the 'For' attribute. the type of object on which the event applies

  Returns:
    the value of the 'For' attribute.
  See Also:
    `setFor(String)`, `SQLSchemaPackage.getEvent_For()`

### setFor

    void setFor(java.lang.String value)

  Sets the value of the '`For`' attribute.

  Parameters:
    `value` - the new value of the 'For' attribute.
  See Also:
    `getFor()`

### getCondition

    java.lang.String getCondition()

  Returns the value of the 'Condition' attribute. the condition to be satisfied inorder to activate the event

  Returns:
    the value of the 'Condition' attribute.
  See Also:
    `setCondition(String)`, `SQLSchemaPackage.getEvent_Condition()`

### setCondition

    void setCondition(java.lang.String value)

  Sets the value of the '`Condition`' attribute.

  Parameters:
    `value` - the new value of the 'Condition' attribute.
  See Also:
    `getCondition()`

### getAction

    java.lang.String getAction()

  Returns the value of the 'Action' attribute. the action that the event performs after being activated

  Returns:
    the value of the 'Action' attribute.
  See Also:
    `setAction(String)`, `SQLSchemaPackage.getEvent_Action()`

### setAction

    void setAction(java.lang.String value)

  Sets the value of the '`Action`' attribute.

  Parameters:
    `value` - the new value of the 'Action' attribute.
  See Also:
    `getAction()`

### isEnabled

    boolean isEnabled()

  Returns the value of the 'Enabled' attribute. event state

  Returns:
    the value of the 'Enabled' attribute.
  See Also:
    `setEnabled(boolean)`, `SQLSchemaPackage.getEvent_Enabled()`

### setEnabled

    void setEnabled(boolean value)

  Sets the value of the '`Enabled`' attribute.

  Parameters:
    `value` - the new value of the 'Enabled' attribute.
  See Also:
    `isEnabled()`

### getDatabase

    Database getDatabase()

  Returns the value of the 'Database' reference. It is bidirectional and its opposite is '`Events`'.

  If the meaning of the 'Database' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Database' reference.
  See Also:
    `setDatabase(Database)`, `SQLSchemaPackage.getEvent_Database()`, `Database.getEvents()`

### setDatabase

    void setDatabase(Database value)

  Sets the value of the '`Database`' reference.

  Parameters:
    `value` - the new value of the 'Database' reference.
  See Also:
    `getDatabase()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.